Delete a project release
DELETE/api/v1/workspaces/{workspace_slug}/projects/{project_id}/releases/{release_id}/
Permanently deletes a release scoped to a project. This action cannot be undone.
Path Parameters
workspace_slug:requiredstringThe workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL https://app.plane.so/my-team/projects/, the workspace slug is my-team.
project_id:requiredstringThe unique identifier of the project.
release_id:requiredstringThe unique identifier for the release.
Scopes
releases:write
Delete a project release
bash
curl -X DELETE \
"https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/releases/a1b2c3d4-e5f6-7890-abcd-ef1234567890/" \
-H "X-API-Key: $PLANE_API_KEY" \
# Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN" \python
import requests
response = requests.delete(
"https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/releases/a1b2c3d4-e5f6-7890-abcd-ef1234567890/",
headers={"X-API-Key": "your-api-key"}
)
print(response.json())javascript
const response = await fetch(
"https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/releases/a1b2c3d4-e5f6-7890-abcd-ef1234567890/",
{
method: "DELETE",
headers: {
"X-API-Key": "your-api-key",
},
},
);
const data = await response.json();Response204
json
// 204 No Content
